Update webhook subscription

​

Partially updates a public webhook subscription. Only webhookEndpointId and isActive are updatable. eventType is not updatable; create a new subscription to change event type. At least one field is required.

Access to webhook management is gated by brokerage. Talk to Augment to enable access before relying on this endpoint.

Path Parameters

  • Webhook subscription ID

Body·

required
application/json

Request body for partially updating a public webhook subscription. At least one field is required. eventType is not updatable.

  • Whether this subscription should be active

  • New webhook endpoint ID for this subscription

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v2/webhook-subscriptions/{subscriptionId}
curl 'https://api.prod.goaugment.com/v2/webhook-subscriptions/{subscriptionId}' \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "webhookEndpointId": "new-endpoint-id",
  "isActive": false
}'
{
  "id": "webhook_subscription_01HY...",
  "webhookEndpointId": "webhook_endpoint_01HY...",
  "eventType": "TRACKING_UPDATE",
  "isActive": true
}